# Config file for C++ demos
# Only some files have comments in //. style

from Synopsis.Config import Base

class Config (Base):
    class Parser:
	class CXX (Base.Parser.CXX):
	    #include_path = Base.Parser.CXX.include_path + ['.',
	    #	'/usr/include/g++-v3', 
	    #	'/usr/include/g++-v3/i386-linux', 
	    #	'/usr/lib/gcc-lib/i386-linux/3.0/include/']
	    main_file = 1
	modules = {
	    'C++':CXX,
	}

    class Linker:
	class LinkerJava (Base.Linker.Linker):
	    comment_processors = ['dummy', 'java', 'javatags', 'summary']
	modules = {
	    'Linker':LinkerJava,
	}

    class Formatter:
	class HTML (Base.Formatter.HTML):
	    stylesheet_file = 'html.css'

	modules = Base.Formatter.modules
	modules['HTML'] = HTML

